# $Revision: 1.15 $, $Date: 2007/02/13 07:16:51 $
#
# Note:
# - works very unstable at axp (other not tested)
#
Summary:	Direct Connect Hub
Summary(pl.UTF-8):	Serwer Direct Connect
Name:		opendchub
Version:	0.7.15
Release:	1
License:	GPL
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/opendchub/%{name}-%{version}.tar.gz
# Source0-md5:	8f9ab5bb7f85730f4b1ce7cceb6aef96
Source1:	%{name}.init
Patch0:		%{name}-bufoverflow.patch
Patch1:		%{name}-no_nsl.patch
URL:		http://opendchub.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libcap-devel
BuildRequires:	openssl-devel
BuildRequires:	perl-devel
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(postun,pre):	/usr/sbin/usermod
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	perl(DynaLoader) = %(%{__perl} -MDynaLoader -e 'print DynaLoader->VERSION')
Provides:	group(clamav)
Provides:	user(clamav)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Opendchub is a hub of direct connect file sharing network.

%description -l pl.UTF-8
Opendchub jest hubem sieci direct connect służącej do wymiany plików.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-switch_user

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/opendchub
install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 190 opendchub
%useradd -u 190 -d /etc/opendchub -s /bin/false -c "Open DC Hub" -g opendchub opendchub

%post
/sbin/chkconfig --add opendchub
%service opendchub restart "Open DC Hub"

%preun
if [ "$1" = "0" ]; then
        %service opendchub stop
        /sbin/chkconfig --del opendchub
fi

%postun
if [ "$1" = "0" ]; then
        %userremove opendchub
        %groupremove opendchub
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README Documentation/* Samplescripts
%attr(755,root,root) %{_bindir}/*
%attr(754,root,root) /etc/rc.d/init.d/opendchub
%dir %attr(750,opendchub,opendchub) %{_sysconfdir}/opendchub

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: opendchub.spec,v $
Revision 1.15  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.13  2007/01/15 18:59:12  qboosh
- unified

Revision 1.12  2007/01/15 17:19:45  undefine
- up to 0.7.15
- add starting script
- use /etc/opendchub as home directory for opendchub user/group
- works fine :)
- release 1

Revision 1.11  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.10  2004/12/10 17:53:22  krolik
- security update (Buffer overflow vuln.)
- rel. 3

Revision 1.9  2004/11/20 20:51:36  radek
- release 2: require DynaLoader in version available at build time

Revision 1.8  2004/09/02 14:36:07  snurf
- typos / formatting / etc.

Revision 1.7  2003/12/08 19:02:45  andree
- updated to 0.7.14
- added samplescripts to doc

Revision 1.6  2003/10/16 14:11:26  ankry
- cosmetics

Revision 1.5  2003/10/15 23:02:53  andree
- BR: perl-devel
- change description

Revision 1.4  2003/10/09 05:35:18  djrzulf
- added note

Revision 1.3  2003/10/04 12:09:49  ankry
 typo, better pl description

Revision 1.2  2003/10/04 12:04:09  djrzulf
- added todo, release 0.9,

Revision 1.1  2003/10/04 12:02:43  djrzulf
- another version of dc hub, it's pretty cool,
